Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 Oct 2014, 09:41
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Polarpup-005 with Qt4-4.8.0 and Gstreamer libs inbuild
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 6 of 34 [499 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, ..., 32, 33, 34 Next
Author Message
James C


Joined: 26 Mar 2009
Posts: 5854
Location: Kentucky

PostPosted: Sun 19 Jun 2011, 02:55    Post subject:  

Using Lightweight2 right now......fast little browser and no problems yet.I already used Arora occasionally anyway so no problem using it in Polarpup.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 19 Jun 2011, 04:22    Post subject:  

Qcomicbook-0.7.2 compiled in Polarpup.
Quote:
QComicBook is a viewer for comic book archives (.cbr, .cbz and alike) containing jpeg/png/xpm/gif/bmp images, which aims at speed, convenience and ease of use.

http://qcomicbook.linux-projects.net/
qcomicbook-0.7.2.pet
Description 
pet

 Download 
Filename  qcomicbook-0.7.2.pet 
Filesize  721.6 KB 
Downloaded  163 Time(s) 
qcomicbook_NLS-0.7.2.pet
Description 
pet

 Download 
Filename  qcomicbook_NLS-0.7.2.pet 
Filesize  53.38 KB 
Downloaded  146 Time(s) 
Back to top
View user's profile Send private message 
Billtoo


Joined: 07 Apr 2009
Posts: 2124
Location: Ontario Canada

PostPosted: Sun 19 Jun 2011, 12:02    Post subject: Polarpup-001 with Qt4-4.8.0 libs inbuild
Subject description: vlc
 

@pemasu

I did manage to compile vlc in polarpup and made a pet of it, playing
audio worked fine but as soon as a video is loaded it locks the
computer up so it's back to square one I guess.
The new2dir script is not working in the polarpup devx,installwatch_lucid-1.6.1.pet
that 01micko made fixes it.
I'll try again and upload it if I'm successful, don't know when that
will be of course.
installwatch_lucid-1.6.1.pet
Description 
pet

 Download 
Filename  installwatch_lucid-1.6.1.pet 
Filesize  16.56 KB 
Downloaded  135 Time(s) 
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 19 Jun 2011, 12:12    Post subject:  

Billtoo. Thank you of your huge effort in this VLC project. Will you be succesfull or not, I will appreciate this hugely. I grant you with Grand Master of Polarpup virtual nomination right now. You can bow virtually and accept this highly appreciated title.

And thank you of that new2dir bug fix pet. I remember when that struggle was in lucid devel thread, but since I dont use new2dir at all, I forget to implement the fix. I use plain commands, strippkg (included in my builds), splitpkg (included).
The compiling commands vary so much and QT have its own set for compiling like qmake and cmake, so I dont trust new2dir enough. Also locales has so different folder namings that splitting locales often needs manual steps also.

I am right now compiling Firefox. Billtoo, you were right, I need to include more dev-libs to the devx sfs. Lets see if I am succesful. If I am, I will post my steps so other people can try it with latest 5.X Firefox also.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 19 Jun 2011, 12:41    Post subject:  

Lol. I launched the freshly build Firefox-5 and I saw the name Aurora. My mind translated it as Arora. It took several relaunching before I understood that code name for this development build is .....Aurora, lol.

My compiling time notes copied from Notecase which I use for notetaking. Yes, I do my Puppy Linux notes in english and here is also a lot Playdayz notes from his Firefox compiling thread.

My needed extra libs:
libasound2-dev
libpthread-stubs0-dev
libx86-dev
libx11-dev
libxt-dev
mesa-common-dev
libgl1-mesa-dev
libsm-dev
x-dev
libice-dev
perl-modules
http://packages.ubuntu.com/natty/i386/yasm/download

2. Download Firefox source code
http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/ >>take biggest number

download -> firefox.source.tar.bz2

2b. Also download and install yasm, which is necessary for Firefox to support webm video.
http://packages.ubuntu.com/natty/i386/yasm/download

Webm test files -> http://forums.mozillazine.org/viewtopic.php?f=23&t=1919639

3. Unpack the source code:
Code:
# tar -xjf firefox.source.tar.bz2

(Don't try to use Xarchive--it takes forever)

4. Open the unpacked folder and open a terminal in that folder
(right-click in the folder background and choose Window -> Terminal Here), in console execute next rows:

export CFLAGS="-O3 -march=native"
export CXXFLAGS="-O3 -march=native"

./configure --prefix=/usr --disable-dbus --disable-hal --disable-crashreporter --enable-strip --enable-application=browser --disable-libnotify

make -j4 (for quadcore)

make install DESTDIR=/mnt/home/firefox-5

Next I need to strip unneeded stuff out and make a pet, but that is another story.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 19 Jun 2011, 14:28    Post subject:  

First time when I have compiled Firefox. I packaged it using Playdayz great Firefox pet as template.
Anyway, this is compiled in Polarpup. Might be working.

Download link: http://smokey01.com/pemasu/Pets/firefox-5.0b7.pet
Back to top
View user's profile Send private message 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Sun 19 Jun 2011, 16:55    Post subject:  

Billtoo wrote:
pemasu wrote:
Jim3630. In my experiments Billtoos compiled VLC (in Lucid 525) and my stripping of included Qt libs is not fully succesful. Watching movies works ok for me but subtitles loading didnt work. Important for me.

Conclusion. VLC package in first page is not fully functional. Luckily my compiled Smplayer and Umplayer works fine. Support for Tano will be lost with those but you cant get everything.
Well, anyone can try that vlc sfs and give error reports but I am now sure that it does not work fully.

About compiling VLC in Polarpup. I wish luck and determination if somebody wants to do it.
I will use Smplayer and Umplayer atm.


I compiled a new vlc-1.1.10-i686.pet and I enabled some more stuff, snapshot,and some codecs.I don't know if it supports the subtitles that you want and I have no way of testing because I don't have that type of avi file.

Compiling vlc in Polarpup is a nogo, the devx is about 30mb smaller than lucid 525, in my experience anyhow.



Billtoo, thanks for the new vlc. where can download?
Back to top
View user's profile Send private message 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Sun 19 Jun 2011, 18:05    Post subject:  

Had Tano working somewhat, could get channel program names with schedule times. I'm convinced tano does not stream but records and you then can play back. It says is recording but then can't find the recorded file.

After changing gtk colors saved and started Tano it crashed. This is the first time got this error so here it is.

code:
# tano
QGtkStyle was unable to detect the current GTK+ theme.
libvlc-qt "0.4.0--git" initialised
Using libvlc version: "1.1.10 The Luggage"
libvlc loaded
libvlc Media: "udp://@232.4.5.1:5002"
EPG: Flag: "nvfgpcvota2x9lecemkdpa"
ASSERT failure in QList<T>::operator[]: "index out of range", file /opt/qt4/include/QtCore/qlist.h, line 403
Aborted
Back to top
View user's profile Send private message 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Sun 19 Jun 2011, 18:14    Post subject:  

"News-0.5.0 - scrolling rss news ticker

Doesn't seem to work in JWM but does in openbox.

screenshot:
http://i.imgur.com/D1ChV.jpg"

http://www.murga-linux.com/puppy/viewtopic.php?t=65136&start=1770

tried in polar pup with Icewm and works so far.
Back to top
View user's profile Send private message 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Sun 19 Jun 2011, 19:33    Post subject:  

new sm tested in polar pup and works so far and is fast.

http://www.murga-linux.com/puppy/viewtopic.php?t=65136&start=1755

Seamonkey 2.1 (no dbus) -> http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet-packages-lucid/seamonkey-2.1-i686.pet
Back to top
View user's profile Send private message 
Billtoo


Joined: 07 Apr 2009
Posts: 2124
Location: Ontario Canada

PostPosted: Mon 20 Jun 2011, 08:52    Post subject:
Subject description: new vlc pet
 

@pemasu

I wasn't able to get a working vlc pet compiled in polarpup but this link is to the one that I made in lucid525, it's big and I doubt that it will fix your subtitles problem but it has some extra codecs enabled and also snapshot which allows takes a screenshot of a running video (pretty nice)

http://www.datafilehost.com/download-7cbfb49e.html

I'm taking a rest from trying to compile vlc in polarpup.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 20 Jun 2011, 10:42    Post subject:  

Billtoo. Thank you hugely of your effort. You did your best and that is enough.
I did test your latest VLC. It worked again in my brief test. Subtitles...well...they still dont work, but I still suspect that main reason is the wrong location of Qt libs regarding of compile time location.
It misses after /usr/lib/libQtCore.so but played video at short test.
I stripped it and splitted it to main, dev, doc and nls packages and uploaded them to the ftp site under Pets_Gt4
http://www.smokey01.com/pemasu/Pets_Qt4/

The main vlc-1.1.10-i686 is about 5 Mb.

The problems with subtitles. I dont know if this is part of problem:
Quote:
Blocked: call to setlocale(6, "")
(process:4289): Gtk-WARNING **: Locale not supported by C library.
Using the fallback 'C' locale.


But this is:
Quote:
[0x830f074] subsdec decoder error: cannot convert from ISO-8859-10: No such file or directory
[0x810815c] signals interface error: signal 17 overriden (0xb6cc4130)
[0x810815c] signals interface error: /usr/lib/libQtCore.so.4(?)[(nil)]
Warning: call to rand()
Warning: call to rand()
Warning: call to rand()
Warning: call to rand()
[0x82e56c4] main stream error: iconv_open failed
Aborted
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 20 Jun 2011, 12:42    Post subject:  

I think I solved how to get Qt applications to use present gtk theme. There wasnt need to install libgnomeui or gconf stuff. I had already enough of them installed. There is though need to feed one theme manually before the Qt applications starts to use gtk themes, like below command executed in console:
Code:
gconftool-2 --set --type string /desktop/gnome/interface/gtk_theme Polished-Blue


In attached pet is the needed fix for /root/.xinitrc and pinstall.sh which executes above command.
So install the pet and restart X to be sure. Now you should have gtk themes applied to the QT applications also.
Qt_apps_gtk_theme_fix-0.0.1.pet
Description 
pet

 Download 
Filename  Qt_apps_gtk_theme_fix-0.0.1.pet 
Filesize  2.67 KB 
Downloaded  133 Time(s) 
Back to top
View user's profile Send private message 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Mon 20 Jun 2011, 15:43    Post subject:  

pemasu wrote:
I think I solved how to get Qt applications to use present gtk theme. There wasnt need to install libgnomeui or gconf stuff. I had already enough of them installed. There is though need to feed one theme manually before the Qt applications starts to use gtk themes, like below command executed in console:
Code:
gconftool-2 --set --type string /desktop/gnome/interface/gtk_theme Polished-Blue


In attached pet is the needed fix for /root/.xinitrc and pinstall.sh which executes above command.
So install the pet and restart X to be sure. Now you should have gtk themes applied to the QT applications also.


Hey pemasu, works for me!
code:
# qtconfig
#
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 20 Jun 2011, 15:54    Post subject:  

Jim3630. Great news. I suppose you had gtk style selected in qtconfig or you tested the behavior after selecting gtk style.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 6 of 34 [499 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, ..., 32, 33, 34 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0940s ][ Queries: 12 (0.0064s) ][ GZIP on ]